MODULE trdicp_oce
   !!======================================================================
   !!                   ***  MODULE trdicp_oce  ***
   !! Ocean trends :   set tracer and momentum trend variables
   !!======================================================================

   !!----------------------------------------------------------------------
   !!   'key_trdtra'   or                         tracer trends diagnostics
   !!   'key_trddyn'                            momentum trends diagnostics
   !!----------------------------------------------------------------------
   USE par_oce                 ! ocean parameters

   IMPLICIT NONE
   PUBLIC

   !! Momentum trends diagnostics parameters
   !!---------------------------------------------------------------------
   INTEGER, PARAMETER ::   &  !: => dynamic trends indexes <=
        jpicpd_hpg =  1,   &  !: hydrostatic pressure gradient 
        jpicpd_keg =  2,   &  !: kinetic energy gradient
        jpicpd_rvo =  3,   &  !: relative vorticity
        jpicpd_pvo =  4,   &  !: planetary vorticity
        jpicpd_ldf =  5,   &  !: lateral diffusion
        jpicpd_zad =  6,   &  !: vertical advection
        jpicpd_zdf =  7,   &  !: vertical diffusion
        jpicpd_spg =  8,   &  !: surface pressure gradient
        jpicpd_dat =  9,   &  !: damping term
        jpicpd_swf = 10,   &  !: surface wind forcing
        jpicpd_bfr = 11       !: bottom friction 

   INTEGER, PARAMETER ::   &  !: => Total dynamic trends indexes <=
        jptot_dyn = 11        !: change it when adding/removing one indice above
   
   !!----------------------------------------------------------------------
   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
   !! $Header$ 
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE trdicp_oce
